@page klotski_sps_developer_guide klotski_common_sps developerguide
# Notes for Developers
This algorithm essentially uses klotski DDTR. Please check @klotski_common_sps_developer_guide for search info.